package org.jeecg.modules.system.service;

import cn.com.ctop.performanceappraisal.entity.Performance;
import cn.com.ctop.userefficientvideomap.entity.DesignMaterialInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 设计师季度绩效表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-10
 */
public interface IPerformanceService2 extends IService<Performance> {
    void efficientVideoTask(String calcDateStr);

    //平台的总有效数量、素材总数、素材有效率、总跑量、当前可获得绩效
    public Map<String,Object> getPerformanceInfo();

    //有效率排行榜
    public Map<String,Object> effiRateRank(Integer size);

    //素材、素材跑量、封面点击数、封面曝光数、行为数
    public List<DesignMaterialInfo> materialInfoList();

    //点击+符号 投放账户、投放账户、跑量
    public List<DesignMaterialInfo> materialAccountInfo(String materialInfoId);
}
